Package org.linphone.core

# Class MagicSearchListenerStub

java.lang.Object
org.linphone.core.MagicSearchListenerStub

All Implemented Interfaces:
  `MagicSearchListener`

public class MagicSearchListenerStub extends Object implements MagicSearchListener

## Constructor Summary

Constructors
Constructor
Description
`MagicSearchListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onLdapHaveMoreResults(MagicSearch magicSearch, Ldap ldap)`
Get the ldap callback on having more results.
`void`
`onMoreResultsAvailable(MagicSearch magicSearch, MagicSearch.Source source)`
Gets the callback notifying more results for a source flag are available.
`void`
`onResultsLimitReached(MagicSearch magicSearch, int sourcesFlag)`
Gets the callback notifying the search results limit has been reached, which
means more results are available for currently set query parameters and thus
user should refine it's request.
`void`
`onSearchResultsReceived(MagicSearch magicSearch)`
Get the received results callback.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MagicSearchListenerStub

public MagicSearchListenerStub()

## Method Details

### onSearchResultsReceived

public void onSearchResultsReceived(MagicSearch magicSearch)
Description copied from interface: `MagicSearchListener`
Get the received results callback.

Specified by:
  `onSearchResultsReceived` in interface `MagicSearchListener`

### onLdapHaveMoreResults

public void onLdapHaveMoreResults(MagicSearch magicSearch, Ldap ldap)
Description copied from interface: `MagicSearchListener`
Get the ldap callback on having more results.

Specified by:
  `onLdapHaveMoreResults` in interface `MagicSearchListener`

### onMoreResultsAvailable

public void onMoreResultsAvailable(MagicSearch magicSearch, MagicSearch.Source source)
Description copied from interface: `MagicSearchListener`
Gets the callback notifying more results for a source flag are available.

Specified by:
  `onMoreResultsAvailable` in interface `MagicSearchListener`

### onResultsLimitReached

public void onResultsLimitReached(MagicSearch magicSearch, int sourcesFlag)
Description copied from interface: `MagicSearchListener`
Gets the callback notifying the search results limit has been reached, which
means more results are available for currently set query parameters and thus
user should refine it's request.

Specified by:
  `onResultsLimitReached` in interface `MagicSearchListener`